import { Component, Input, ViewChildren, QueryList, ElementRef, EventEmitter, Output, Renderer2, ViewChild } from '@angular/core';
import { Router } from '@angular/router';
import { GestureController } from '@ionic/angular';
import { retry } from 'rxjs/operators';
import { GameService } from '../services/game.service';

@Component({
  selector: 'app-home',
  templateUrl: 'valuesAlign.page.html',
  styleUrls: ['valuesAlign.page.scss'],
})
export class ValuesAlignPage {

  constructor(private router: Router, private game: GameService, private renderer: Renderer2) {}

  async checkValues(){

    // check if all cards have a value
    for(const card of this.game.cardset){
      if(card.value == 0){
        return false;
      }
    }
    return true;
  }

  async userClickedButton(card, value) {
    // card.value 0 = nothing chosen, 1 = hearts, 2 = cross
    // get card index from array and change the value
    const cardIndex = this.game.cardset.findIndex((obj => obj.id == card.id));
    this.game.cardset[cardIndex].value = value;
    // check if all cards have a value
    if(!(await this.checkValues())){
      return;
    }

    // User may continue
    console.log("hihi go go");
  };

}
